Bug 994635 - generate network boot menu for EFI GRUB, like the existing PXE menu
generate network boot menu for EFI GRUB, like the existing PXE menu
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: general (Show other bugs)
0.14
x86_64 Linux
unspecified Severity high (vote)
: 0.14.4
: ---
Assigned To: Dan Callaghan
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 12:34 EDT by George Beshers
Modified: 2018-02-05 19:41 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 00:09:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Dan Callaghan 2013-08-12 02:27:34 EDT
Beaker currently doesn't support generating a menu for EFI GRUB, only for PXELINUX's menu.c32. The menu you are seeing was probably generated by Cobbler, which explains its age (Cobbler was switched off in our labs around June 2012).

We can convert this to an RFE for Beaker to generate an EFI GRUB menu. It shouldn't be too hard, given that we already have the code for menu.c32.

If you can point us at some docs for the file format EFI GRUB is expecting, that would really help. The last time I looked at EFI GRUB it was completely undocumented which meant there was a lot of frustrating guesswork trying to figure out exactly what it wanted.
Comment 5 Russ Anderson 2013-11-13 17:29:13 EST
Could someone add a status update?  This was reported back in August.
Comment 6 Dan Callaghan 2013-11-15 02:22:46 EST
Patch is on Gerrit: http://gerrit.beaker-project.org/2496

At present the patch works, in the sense that it produces a listing in /var/lib/tftpboot/grub/efidefault which looks sane, but I haven't been able to test it against any real hardware.
Comment 12 George Beshers 2013-11-21 09:53:10 EST
Is this currently available in Westford?

If so I will give it a try in a few minutes.

George
Comment 13 Nick Coghlan 2013-11-21 22:42:47 EST
George, it's just on the devel instance at the moment - it will be part of the 0.14.4 maintenance update.

Note You need to log in before you can comment on or make changes to this bug.